org.eclnt.jsfserver.elements

## Class ComponentRepository.ComponentInfo

- java.lang.Object
- - org.eclnt.jsfserver.elements.ComponentRepository.ComponentInfo

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ComponentRepository

      public static class ComponentRepository.ComponentInfo
      extends java.lang.Object
      implements java.io.Serializable

  Certain information about a component which is required in...
  (A) processing of BaseComponent and BaseComponentTag
  (B) layout editor tool environment
  The information is taken from the .tld files which are parsed and transferred into ComponentInfo objects.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getAttibutesInclActions(boolean sorted)`
    `java.util.List<java.lang.String>` | `getAttributes()` Returns attributes that are the ones defined in the tag library definition.
    `java.lang.String` | `getDefaultUpdateAttribute()`
    `java.util.List<java.lang.String>` | `getEncodeAttributes()` Returns attributes that are the ones defined in tag library definition and additional ones which are applied dynamically (e.g. avoidselection).
    `java.util.Set<java.lang.String>` | `getEncodeAttributesSet()`
    `java.lang.String` | `getTagName()`
    `boolean` | `hasAction()`
    `boolean` | `hasActionListener()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getTagName

          public java.lang.String getTagName()

    - #### getDefaultUpdateAttribute

          public java.lang.String getDefaultUpdateAttribute()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hasAction

          public boolean hasAction()

    - #### hasActionListener

          public boolean hasActionListener()

    - #### getAttributes

          public java.util.List<java.lang.String> getAttributes()

      Returns attributes that are the ones defined in the tag library definition.

    - #### getEncodeAttributes

          public java.util.List<java.lang.String> getEncodeAttributes()

      Returns attributes that are the ones defined in tag library definition and additional ones which are applied dynamically (e.g. avoidselection).

    - #### getEncodeAttributesSet

          public java.util.Set<java.lang.String> getEncodeAttributesSet()

    - #### getAttibutesInclActions

          public java.util.List<java.lang.String> getAttibutesInclActions(boolean sorted)

Copyright © CaptainCasa Gmbh. All Rights Reserved.